Skip to content


Subversion checkout URL

You can clone with
Download ZIP


Jackson Bailey edited this page · 30 revisions

Groovy Eclipse Wiki

Groovy-Eclipse is a set of Eclipse plugins that provide Eclipse support for Groovy projects.


Date News
Jun 6, 2015 Groovy Eclipse 2.9.2 snapshot builds for Eclipse 4.5 are available, update site
Jan 24, 2015 Groovy Eclipse 2.9.2 snapshot builds for Eclipse 4.4 now include Groovy 2.4.0, update site NOTE installing this will downgrade your Eclipse JDT because it does not include the latest version. This may introduce problems that have since been fixed in JDT. If you see any JDT issues try uninstalling this first to confirm whether it is really Eclipse that is to blame or the patched compiler in here
November 18, 2014 Groovy Eclipse 2.9.1 Released. This release includes support for the latest Groovy 2.3.7, improved to QuickFixes, type inference and other bug fixes. Read more in the Groovy Eclipse 2.9.1 Release Notes
July 17, 2014 Groovy Eclipse 2.9.0 Released. This release includes support for the latest Groovy 2.3.4 compiler with features such as Traits. Read more in the Groovy Eclipse 2.9.0 Release Notes
July 9, 2013 Groovy Eclipse 2.8.0 Released. This release includes significant memory and performance improvements, as well as Editor templates and almost 100 bugs fixed. Read more at the Groovy-Eclipse 2.8.0 New and Noteworthy.


The latest Groovy-Eclipse release is available from the following Eclipse update sites. To install, point your Eclipse update manager to the update site appropriate for your Eclipse version.

Eclipse Level Release Update Site
4.4 (Luna)
4.3 (Kepler)
4.3-8 (Kepler with Java 8)
4.2 and 3.8 (Juno)
3.7 (Indigo)

Or, you can choose to install a development build, see below for more update sites. In general, our development builds are quite stable.

The install directory must be writable by the current user. Groovy-Eclipse cannot be installed into a shared install. This includes protected directories on windows like C:\Program Files. For more information Eclipse Bug 395516.

Snapshot Builds

Use one of these update sites to install the latest and greatest Groovy-Eclipse. Development builds tend to be quite stable (they are not released unless all tests pass). To install, paste the appropriate update site below into your Eclipse update manager, select the artifacts to install and follow the instructions.

Eclipse Level Snapshot Update Site
4.5 (Mars)
4.4 (Luna)
4.3-j8 (Kepler with Java 8 patch)
4.3 (Kepler)
4.2 and 3.8 (Juno)
3.7 (Indigo)

How to Install

Start with a compatible version of Eclipse (available from Since Groovy-Eclipse relies on Eclipse's Java tooling (the JDT), almost any flavor of Eclipse that includes the JDT will be compatible. This includes the Java IDE, Classic, RCP, JavaEE, etc. Flavors such as Eclipse for PHP developers are not compatible because it does not include the JDT> If you are interested in Grails tooling, then you must install the Groovy/Grails Tool Suite.

Once you have a compatible Eclipse installed, then follow these directions to install Groovy-Eclipse:

  • Go to: Help -> Software Updates.
  • Change to the Available Software tab.
  • Click on Add Site.
  • Paste the update site URL appropriate for your version of Eclipse and click OK. You should see a "Groovy Update Site" entry in the list of update sites. Expand and select the Groovy-Eclipse Plugin feature. Optionally, you can choose to include the sources..
  • Click Install and follow the prompts.
  • Restart when asked
  • Rejoice! You installed the Groovy-Eclipse Plugin.

Developer Resources

Something went wrong with that request. Please try again.